Package icyllis.modernui.widget

# Class ExpandableListView.ExpandableListContextMenuInfo

java.lang.Object
icyllis.modernui.widget.ExpandableListView.ExpandableListContextMenuInfo

All Implemented Interfaces:
  `ContextMenu.ContextMenuInfo`

Enclosing class:
  `ExpandableListView`

public static class ExpandableListView.ExpandableListContextMenuInfo extends Object implements ContextMenu.ContextMenuInfo
Extra menu information specific to an `ExpandableListView` provided to the `View.OnCreateContextMenuListener.onCreateContextMenu(ContextMenu, View, ContextMenuInfo)` callback when a context menu is brought up for this AdapterView.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `id`
  The ID of the item (group or child) for which the context menu is being displayed.
  `long`
  `packedPosition`
  The packed position in the list represented by the adapter for which the context menu is being displayed.
  `View`
  `targetView`
  The view for which the context menu is being displayed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpandableListContextMenuInfo(View targetView, long packedPosition, long id)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### targetView

    public View targetView
    The view for which the context menu is being displayed. This will be one of the children Views of this `ExpandableListView`.

  - ### packedPosition

    public long packedPosition
    The packed position in the list represented by the adapter for which the context menu is being displayed. Use the methods `ExpandableListView.getPackedPositionType(long)`, `ExpandableListView.getPackedPositionChild(long)`, and `ExpandableListView.getPackedPositionGroup(long)` to unpack this.

  - ### id

    public long id
    The ID of the item (group or child) for which the context menu is being displayed.

- ## Constructor Details

  - ### ExpandableListContextMenuInfo

    public ExpandableListContextMenuInfo(View targetView, long packedPosition, long id)